<template>
  <div id="print-newspaper">
    <h1>Print {{ shop.name }}</h1>
    <div class="ready">
      <p>{{shop.name}} is ready to print!</p>
      <form id="print-newspaper">
        <a
          type="submit"
          class="button"
          @click="printNewspaper">PRINT {{ shop.name.toUpperCase() }}
        </a>
    </form>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    shop: Object
  },
  methods: {
    printNewspaper() {
      confirm('Are you ready to print the newspaper?')
        ? app.printer.Enqueue("newspaper")
        : alert('Print cancelled');
    },
  }

}
</script>

<style>

</style>
